{% macro section_base(is_secondary) %}
  <section class="py-5 {% if is_secondary %}bg-light{% endif %}">
    <div class="container overflow-hidden py-5">{{ caller() }}</div>
  </section>
{% endmacro %}

{% macro title_section(base, section) %}
  <section
    class="py-5 bg-header text-white"
    style="background-image: url('{{ base.header_bg_image.url }}');"
  >
    <div class="container py-5">
      <div class="text-center">
        <div class="mb-5">
          <h1 class="display-2 fw-semibold mb-4">{{ section.title }}</h1>
          {% if section.text %}
            <p class="lead fw-semibold">{{ section.text }}</p>
          {% endif %}
        </div>

        {% if section.links %}
          <div class="d-flex flex-row flex-wrap justify-content-center gap-3">
            {% for link in section.links %}
              <a class="btn btn-lg btn-light" href="{{ link.href }}"
                >{{ link.label }}
                {% if link.icon %}
                  <i class="bi bi-{{ link.icon }} ms-1" aria-hidden="true"></i>
                {% endif %}
              </a>
            {% endfor %}
          </div>
        {% endif %}
      </div>
    </div>
  </section>
{% endmacro %}

{% macro subpage_header(base, title) %}
  <section
    class="bg-header text-white p-5"
    style="background-image: url('{{ base.header_bg_image.url }}');"
  >
    <div class="container p-5">
      <h1 class="display-4">{{ title }}</h1>
    </div>
  </section>
{% endmacro %}

{% macro section_text_left(section, is_secondary) %}
  {% set content = caller() %}
  {% call section_base(is_secondary) %}
    <div class="row g-5">
      <div class="col-lg-6">
        <div class="mb-4">
          <h2 id="{{ section.anchor }}" class="fs-4 text-primary">
            {{ section.subtitle }}
            <span class="d-block text-dark fs-2 mt-2 mb-4"
              >{{ section.title }}</span
            >
          </h2>
          {% if section.text %}
            <div class="mb-4">{{ section.text|safe }}</div>
          {% endif %}
        </div>
        {% if section.link %}
          <a class="btn btn-primary" href="{{ section.link.href }}"
            >{{ section.link.label }}</a
          >
        {% endif %}
      </div>
      <div class="col-lg-6">{{ content }}</div>
    </div>
  {% endcall %}
{% endmacro %}

{% macro section_text_right(section, is_secondary) %}
  {% set content = caller() %}
  {% call section_base(is_secondary) %}
    <div class="row g-5">
      <div class="col-lg-6">{{ content }}</div>
      <div class="col-lg-6">
        <div class="mb-4">
          <h2 id="{{ section.anchor }}" class="fs-4 text-primary">
            {{ section.subtitle }}
            <span class="d-block text-dark fs-2 mt-2 mb-4"
              >{{ section.title }}</span
            >
          </h2>
          <div class="mb-4">{{ section.text|safe }}</div>
        </div>
        {% if section.link %}
          <a class="btn btn-light" href="{{ section.link.href }}"
            >{{ section.link.label }}</a
          >
        {% endif %}
      </div>
    </div>
  {% endcall %}
{% endmacro %}

{% macro section_full(section, is_secondary) %}
  {% set content = caller() %}
  {% call section_base(is_secondary) %}
    <div class="text-center mb-5">
      <h2 id="{{ section.anchor }}" class="fs-4 text-primary">
        {{ section.subtitle }}
        <span class="d-block text-dark fs-2 mt-2 mb-4"
          >{{ section.title }}</span
        >
      </h2>
      {% if section.text %}
        <div>{{ section.text|safe }}</div>
      {% endif %}
    </div>
    {{ content }}
  {% endcall %}
{% endmacro %}

{% macro _coach(coach) %}
  <div class="col-xl-6 d-flex flex-column">
    <div class="card shadow flex-fill">
      <div class="card-body p-4">
        <div class="row g-2">
          <div class="col-md-4 text-center">
            {% if coach.image %}
              <img
                loading="lazy"
                src="{{ coach.image.url }}"
                alt="{{ coach.name }}"
                class="rounded-circle"
              />
            {% else %}
              <svg
                xmlns="http://www.w3.org/2000/svg"
                width="150"
                height="150"
                class="bg-body-secondary text-primary rounded-circle"
                fill="currentColor"
                viewBox="0 0 16 16"
              >
                <path d="M11 6a3 3 0 1 1-6 0 3 3 0 0 1 6 0" />
                <path
                  fill-rule="evenodd"
                  d="M0 8a8 8 0 1 1 16 0A8 8 0 0 1 0 8m8-7a7 7 0 0 0-5.468 11.37C3.242 11.226 4.805 10 8 10s4.757 1.225 5.468 2.37A7 7 0 0 0 8 1"
                />
              </svg>
            {% endif %}
          </div>
          <div class="col-md-8">
            <h3 class="card-title mb-1">{{ coach.name }}</h3>
            {% if not coach.active %}
              <span class="text-muted"
                >(derzeit nicht als FIM-Coach tätig)</span
              >
            {% endif %}

            <div class="row mt-4 mb-3">
              <div class="col-3"><b class="text-muted">Email</b></div>
              <div class="col-9">
                {% if coach.mail %}
                  <a href="mailto:{{ coach.mail }}">{{ coach.mail }}</a>
                {% endif %}
              </div>
            </div>

            <div class="row">
              <div class="col-3"><b class="text-muted">Website</b></div>
              <div class="col-9">
                {% if coach.website %}
                  <a
                    class="icon-link"
                    href="{{ coach.website }}"
                    target="_blank"
                    aria-label="{{ coach.website }} (öffnet in neuem Tab)"
                    >{{ coach.website }}
                    <svg class="bi" aria-hidden="true">
                      <use xlink:href="#box-arrow-up-right"></use>
                    </svg>
                  </a>
                {% endif %}
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
{% endmacro %}

{% macro fim_coach_verzeichnis(verzeichnis, is_secondary) %}
  {% call section_full(verzeichnis.get_section(), is_secondary) %}
    <div class="row g-3">
      {% for coach in verzeichnis.coaches %}

        {{ _coach(coach) }}
      {% endfor %}
    </div>
  {% endcall %}
{% endmacro %}
